Bug 1562148 - Overcloud deployment RHOS12 failed, 404 Client Error: Not Found for url: u'swift_rings_container': u'overcloud-swift-rings [NEEDINFO]
Summary: Overcloud deployment RHOS12 failed, 404 Client Error: Not Found for url: u'sw...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: mathieu bultel
QA Contact: Ronnie Rasouli
URL:
Whiteboard: DFG:upgrades
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-29 15:50 UTC by Ronnie Rasouli
Modified: 2018-08-20 13:00 UTC (History)
15 users (show)

Fixed In Version: puppet-tripleo-7.4.8-9.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 12:59:48 UTC
jamsmith: needinfo? (mbultel)


Attachments (Terms of Use)
Tracebacks from Mistral and deployment log (125.03 KB, text/plain)
2018-03-29 15:50 UTC, Ronnie Rasouli
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:00:57 UTC
OpenStack gerrit 561898 None master: MERGED puppet-tripleo: Merge default_listen with swift_proxy_server_listen_options (I6716499b4a10f3ba39db33d6468c261c58ee373d) 2018-05-25 12:26:47 UTC
OpenStack gerrit 562137 None stable/queens: MERGED puppet-tripleo: Merge default_listen with swift_proxy_server_listen_options (I6716499b4a10f3ba39db33d6468c261c58ee373d) 2018-05-25 12:26:42 UTC
OpenStack gerrit 570574 None None None 2018-05-28 11:37:53 UTC
OpenStack gerrit 571270 None None None 2018-05-30 18:32:49 UTC

Description Ronnie Rasouli 2018-03-29 15:50:24 UTC
Created attachment 1414796 [details]
Tracebacks from Mistral and deployment log

Description of problem:

Deployment of RHOS12 compat (undercloud RHOS13) failed with error overcloud could not be found, the openstack deployment failed before it created the overcloud stack. 

default default] Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mistral/actions/openstack/base.py", line 117, in run
    result = method(**self._kwargs_for_run)
  File "/usr/lib/python2.7/site-packages/swiftclient/client.py", line 1753, in head_container
    return self._retry(None, head_container, container, headers=headers)
  File "/usr/lib/python2.7/site-packages/swiftclient/client.py", line 1691, in _retry
    service_token=self.service_token, **kwargs)
  File "/usr/lib/python2.7/site-packages/swiftclient/client.py", line 993, in head_container
    resp, 'Container HEAD failed', body)
ClientException: Container HEAD failed: https://192.168.24.2:13808/v1/AUTH_70bc67243b844673a3a0bfc5e145ac82/overcloud-swift-rings 404 Not Found
: ClientException: Container HEAD failed: https://192.168.24.2:13808/v1/AUTH_70bc67243b844673a3a0bfc5e145ac82/overcloud-swift-rings 404 Not Found

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. install undercloud RHOS13
2. copy THT compat, use that location on deployment
3. deploy overcloud RHOS13

Actual results:

overcloud deployment failed

Expected results:
no missing resources on deployment 

Additional info:
deployment log

Comment 1 Marios Andreou 2018-04-02 13:03:04 UTC
please triage this we are going through the list and assigning round robin thanks (DFG:Upgrades triage call)

Comment 2 Sergii Golovatiuk 2018-04-17 13:31:12 UTC
I reproduced the issue. I hope https://review.openstack.org/#/c/561898/ with backport to RSOP 12 will help to understand the details

Comment 5 Carlos Camacho 2018-05-28 11:37:53 UTC
We are testing this on stable/pike, this issue was already fixed but not backported, after the stable/pike backport is merged (https://review.openstack.org/#/c/570574/) I'll move it to POST, and after is tested we will move it to VERIFIED.

Comment 9 Sergii Golovatiuk 2018-05-30 15:49:28 UTC
There is a typo in swift URL. Mathieu Bultel is working on it right now.

Comment 10 mathieu bultel 2018-05-30 18:32:49 UTC
Hi,

Im attaching the review on it, but to me, its not a blocker at all, its an automation tool (infrared?) issue.
I submitted a fix to the client to be more robust and to handle such mistake, but imho, we should not block this BZs to wait for this review to land.

Comment 11 Sergii Golovatiuk 2018-06-07 12:37:14 UTC
Mathieu introduced the fix though the original issue was caused by // in URL. infrared has been fixed also so it doesn't contain // in overcloud_deploy.sh. Could you confirm/reject our actions fixed the issue.

Comment 12 Ronnie Rasouli 2018-06-11 09:00:29 UTC
Issue hasn't been reproduced the link seems to be fine and not broken

Comment 16 errata-xmlrpc 2018-08-20 12:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.